Skip to main content
GET
Get a content item

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query Parameters

id
integer<int64>

The internal unique identifier of the content item (optional if externalId is provided).

externalId
string

An external system identifier for the content item (optional if id is provided).

Response

OK

id
integer<int64>

Internal unique identifier of the content item.

campaignName
string | null

Name of the content to be easily identified.

title
string | null

Title of the content item.

feedType
enum<string>
Available options:
Inspiration,
Purchase,
GreenNews,
StoreOffer,
StoreNews,
StoreSpecial,
GoodPrice,
WeeklyGoodPrice,
Survey,
Event,
SpecialPoll,
PartnerBenefit,
PartnerBenefitBanner
contentType
enum<string>
Available options:
Image,
Video,
Text
status
enum<string>
Available options:
Draft,
Scheduled,
Published,
Expired,
Disabled
analyticsIdentifier
string | null

Tracking identifier used for analytics.

publishDate
string<date-time> | null

The date and time when the content should be published.

expirationDate
string<date-time> | null

The date and time when the content expires and should no longer be displayed.

imageUrl
string | null

URL of the image displayed in the content item.

altText
string | null

Alternative text describing the image, used for accessibility.

videoUrl
string | null

URL of the video displayed in the content item.

topMessage
string | null

Short message displayed at the top of the content.

bottomMessage
string | null

Short message displayed at the bottom of the content.

longDescription
string | null

Message displayed when the content type is text.

buttonText
string | null

Text displayed on the action button.

navigationType
enum<string>
Available options:
External,
DeepLink
externalUrl
string | null

External URL to be opened when button is clicked.

useWebWrapper
boolean | null

Indicates whether the external content should be opened in a web wrapper.

Deep link identifier. Used to open a specific page from the application when button is clicked.

Additional parameters for deep link. (e.g. redirect user to a specific entity from the section configured with DeepLinkId)

Deep link URL for navigation.

isReadyToDistribute
boolean

Indicates whether the content is ready to be distributed.

isSegmented
boolean
deprecated

Obsolete: Indicates whether the content is segmented. Use Feed.Api.DTO.ContentItem.SegmentationType instead.

segmentationType
enum<string>
Available options:
None,
Audience,
Customer,
File
segmentationFiles
object[] | null

Collection of segmentation files associated with the content.

authorId
string | null

Identifier of the content's author.

authorName
string | null

Name of the content's author.

createdDate
string<date-time>

Date and time when the content was created.

modifiedDate
string<date-time>

Date and time when the content was last modified.

membersCount
integer<int32>

Number of members associated with the content.

fileName
string | null

File name associated with the content (if any).

fileSize
number<double>

Size of the associated file in bytes.

externalId
string | null

External identifier for the content.

storeId
string | null
deprecated

Identifier of the store targeted by this content.

audienceIds
string[] | null

List of audience identifiers targeted by this content.

chainIds
string[] | null

List of chain identifiers targeted by this content.

storeIds
string[] | null

List of store identifiers targeted by this content.

isBoardContent
boolean | null

Client specific property used for custom integration.

placeholders
string[] | null

List of placeholders defined for this content.

customProperties
object | null

Dictionary of custom properties.(e.g. logoUrl, terms)

disablingReasons
object[] | null

Reasons why the content may be disabled.

priority
integer<int32> | null

Priority with which the content is displayed in the application.

openedCount
integer<int64>

Number of times the content has been clicked and the user is either redirected accordingly to the configured navigation or the feed is expanded.

requiresApproval
boolean

Indicates whether the content requires approval before being published.

unifiedCampaignId
string | null

Unified campaign identifier associated with the content item

validForDays
integer<int32> | null

Validity period in days for the content item. The validity period is calculated starting from the allocation date. This property is only applicable for content items with Customer Segmentation Type.

Last modified on August 10, 2026